Subject: bug#36203: [Accessibility] M-x compile modeline colors incompatible with many themes

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 09 Jul 2019 03:56:44 +0200

積丹尼 Dan Jacobson <[email-masked]> writes:

> compile.el says:
>
> ;; The next three faces must be able to stand out against the
> ;; `mode-line' and `mode-line-inactive' faces.
>
> all I know is with e.g., (load-theme 'wheatgrass)
> I can't read the "[0 0 0]" properly (if *compilation*
> is the current window), so besides the "next three faces"
> they also should consider the "previous three faces" in that file too.

The only one that's unreadable to me is the last "0", and that inherits
from the success face.  The bug seems to be that the wheatgrass theme
doesn't adept the compilation face, so I've now fixed that in Emacs 27.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no